﻿# -*- coding:Utf-8 -*-
# c4_simple V1.6 by Sicilia (22.10.2010)
# MATTIE'S EVENTSCRIPTS 2.1, PYTHON OPERATIONNEL

import es, playerlib, repeat, langlib, cfglib

c4fr_timer = es.ServerVar("mp_c4timer")
sici_lang = langlib.Strings(es.getAddonPath("c4_simple") + "/language.ini")

config = cfglib.AddonCFG(es.getAddonPath("c4_simple") + "/c4_simple.cfg")

config.text("******************************")
config.text("******************************")
config.text("          c4_simple")
config.text("         Configuration")
config.text("          by Sicilia")
config.text("******************************")
config.text("******************************")

c4_message_enable     = config.cvar("c4_message_enable",	1, "Enable/Disable c4_simple\n// Activer/Desactiver c4_simple\n// 1-ON | 0-OFF")

c4_message     = config.cvar("c4_message",	"all", "Mode Affichage\n// chat - Affichage uniquement dans le chat. | Display on chat only.\n// center - Affichage uniquement au centre de l ecran. | Display on center only.\n// all - Affichage dans le chat ainsi que au centre de l ecran. | Display on chat and on center.")

c4_message_bomb_exploded     = config.cvar("c4_message_bomb_exploded",	1, "Enable/Disable message at bomb_explosed.\n// Activer/Desactiver le message quand la bombe explose.\n// 1-ON | 0-OFF")

c4_message_bomb_defused     = config.cvar("c4_message_bomb_defused",	1, "Enable/Disable message at bomb_defused.\n// Activer/Desactiver le message quand la bombe est defuse.\n//1-ON | 0-OFF")

c4_message_bomb_pickup     = config.cvar("c4_message_bomb_pickup",	1, "Enable/Disable message when bomb_pickup.\n// Activer/Desactiver le message quand la bombe est recuperer.\n// 1-ON | 0-OFF")

c4_message_bomb_dropped     = config.cvar("c4_message_bomb_dropped",	1, "Enable/Disable message when bomb_dropped.\n// Activer/Desactiver le message quand la bombe est perdu.\n// 1-ON | 0-OFF")

config.write()

info = es.AddonInfo()
info.version = "1.6"
info.author = "Sicilia"
info.name = "c4_simple"
info.description = "decompte de la bombe multilangue"
info.url = "http://addons.eventscripts.com/addons/user/22862"
info.date = "22.10.2010"
info.sponsor = "fog.asso.fr"

es.ServerVar(info.name, info.version, info.author).makepublic()

def load():
	global bombe_decompte  
	es.msg("#multi", "#green[#lightgreenc4_simple#green]#default Loading ...")
	es.server.queuecmd("es_xmexec ../addons/eventscripts/c4_simple/c4_simple.cfg")
	if int(c4_message_enable):
		bombe_decompte = repeat.create('bombe_decompte', timer, int(c4fr_timer))
	es.msg("#multi", "#green[#lightgreenc4_simple#green]#default Loaded")
	
def es_map_start(E):
	es.server.queuecmd("es_xmexec ../addons/eventscripts/c4_simple/c4_simple.cfg")

def unload():
	es.msg("#multi", "#green[#lightgreenc4_simple#green]#default Unloading ...")
	if int(c4_message_enable):	
		bombe_decompte.delete()
	es.msg("#multi", "#green[#lightgreenc4_simple#green]#default has been unloaded")

def timer(T):
	I = bombe_decompte['timeleft']
	if I == 50:
		if str(c4_message) == "chat":
			es.msg("#multi", "#lightgreen -=[#default 50 #greensecondes #lightgreen]=-")
		elif str(c4_message) == "center":
			es.centermsg("50")
		elif str(c4_message) == "all": 
			es.msg("#multi", "#lightgreen -=[#default 50 #greensecondes #lightgreen]=-") 
			es.centermsg("50")

	elif I == 40:
		if str(c4_message) == "chat":
			es.msg("#multi", "#lightgreen -=[#default 40 #greensecondes #lightgreen]=-")
		elif str(c4_message) == "center":
			es.centermsg("40")
		elif str(c4_message) == "all": 
			es.msg("#multi", "#lightgreen -=[#default 40 #greensecondes #lightgreen]=-") 
			es.centermsg("40")

	elif I == 30:
		if str(c4_message) == "chat":
			es.msg("#multi", "#lightgreen -=[#default 30 #greensecondes #lightgreen]=-")
		elif str(c4_message) == "center":
			es.centermsg("30")
		elif str(c4_message) == "all": 
			es.msg("#multi", "#lightgreen -=[#default 30 #greensecondes #lightgreen]=-") 
			es.centermsg("30")

	elif I == 20:
		if str(c4_message) == "chat":
			es.msg("#multi", "#lightgreen -=[#default 20 #greensecondes #lightgreen]=-")
		elif str(c4_message) == "center":
			es.centermsg("20")
		elif str(c4_message) == "all": 
			es.msg("#multi", "#lightgreen -=[#default 20 #greensecondes #lightgreen]=-") 
			es.centermsg("20")

	elif I == 10:
		if str(c4_message) == "chat":
			es.msg("#multi", "#lightgreen -=[#default 10 #greensecondes #lightgreen]=-")
		elif str(c4_message) == "center":
			es.centermsg("10")
		elif str(c4_message) == "all": 
			es.msg("#multi", "#lightgreen -=[#default 10 #greensecondes #lightgreen]=-") 
			es.centermsg("10")

	elif I == 9:
		if str(c4_message) == "chat":
			es.msg("#multi", "#lightgreen -=[#default 9 #greensecondes #lightgreen]=-")
		elif str(c4_message) == "center":
			es.centermsg("9")
		elif str(c4_message) == "all": 
			es.msg("#multi", "#lightgreen -=[#default 9 #greensecondes #lightgreen]=-") 
			es.centermsg("9")

	elif I == 8:
		if str(c4_message) == "chat":
			es.msg("#multi", "#lightgreen -=[#default 8 #greensecondes #lightgreen]=-")
		elif str(c4_message) == "center":
			es.centermsg("8")
		elif str(c4_message) == "all": 
			es.msg("#multi", "#lightgreen -=[#default 8 #greensecondes #lightgreen]=-") 
			es.centermsg("8")

	elif I == 7:
		if str(c4_message) == "chat":
			es.msg("#multi", "#lightgreen -=[#default 7 #greensecondes #lightgreen]=-")
		elif str(c4_message) == "center":
			es.centermsg("7")
		elif str(c4_message) == "all": 
			es.msg("#multi", "#lightgreen -=[#default 7 #greensecondes #lightgreen]=-") 
			es.centermsg("7")

	elif I == 6:
		if str(c4_message) == "chat":
			es.msg("#multi", "#lightgreen -=[#default 6 #greensecondes #lightgreen]=-")
		elif str(c4_message) == "center":
			es.centermsg("6")
		elif str(c4_message) == "all": 
			es.msg("#multi", "#lightgreen -=[#default 6 #greensecondes #lightgreen]=-") 
			es.centermsg("6")

	elif I == 5:
		if str(c4_message) == "chat":
			es.msg("#multi", "#lightgreen -=[#default 5 #greensecondes #lightgreen]=-")
		elif str(c4_message) == "center":
			es.centermsg("5")
		elif str(c4_message) == "all": 
			es.msg("#multi", "#lightgreen -=[#default 5 #greensecondes #lightgreen]=-") 
			es.centermsg("5")

	elif I == 4:
		if str(c4_message) == "chat":
			es.msg("#multi", "#lightgreen -=[#default 4 #greensecondes #lightgreen]=-")
		elif str(c4_message) == "center":
			es.centermsg("4")
		elif str(c4_message) == "all": 
			es.msg("#multi", "#lightgreen -=[#default 4 #greensecondes #lightgreen]=-") 
			es.centermsg("4")

	elif I == 3:
		if str(c4_message) == "chat":
			es.msg("#multi", "#lightgreen -=[#default 3 #greensecondes #lightgreen]=-")
		elif str(c4_message) == "center":
			es.centermsg("3")
		elif str(c4_message) == "all": 
			es.msg("#multi", "#lightgreen -=[#default 3 #greensecondes #lightgreen]=-") 
			es.centermsg("3")

	elif I == 2:
		if str(c4_message) == "chat":
			es.msg("#multi", "#lightgreen -=[#default 2 #greensecondes #lightgreen]=-")
		elif str(c4_message) == "center":
			es.centermsg("2")
		elif str(c4_message) == "all": 
			es.msg("#multi", "#lightgreen -=[#default 2 #greensecondes #lightgreen]=-") 
			es.centermsg("2")

	elif I == 1:
		if str(c4_message) == "chat":
			es.msg("#multi", "#lightgreen -=[#default 1 #greensecondes #lightgreen]=-")
		elif str(c4_message) == "center":
			es.centermsg("1")
		elif str(c4_message) == "all": 
			es.msg("#multi", "#lightgreen -=[#default 1 #greensecondes #lightgreen]=-") 
			es.centermsg("1")
	elif I == 0:
		if str(c4_message) == "chat":
			es.msg("#multi", "#lightgreen -=[#green BOOM #lightgreen]=-")
		elif str(c4_message) == "all": 
			es.msg("#multi", "#lightgreen -=[#green BOOM #lightgreen]=-")

def round_start(E):
	if int(c4_message_enable):
		if bombe_decompte.status() == 2:
			bombe_decompte.stop()

def bomb_planted(E):
	if int(c4_message_enable):
		bombe_decompte.start(1, int(c4fr_timer))

def bomb_exploded(E):
	if int(c4_message_enable):
		if int(c4_message_bomb_exploded):
			for userid in playerlib.getUseridList("#t"):
				es.centertell(userid, sici_lang('t_gg', lang = playerlib.getPlayer(userid).get('lang')))

			for userid in playerlib.getUseridList("#ct"):
				es.centertell(userid, sici_lang('ct_perdu', lang = playerlib.getPlayer(userid).get('lang')))

def bomb_defused(E):
	if int(c4_message_enable):
		if int(c4_message_bomb_defused):
			for userid in playerlib.getUseridList("#ct"):
				es.centertell(userid, sici_lang('ct_gg', lang = playerlib.getPlayer(userid).get('lang')))

			for userid in playerlib.getUseridList("#t"):
				es.centertell(userid, sici_lang('t_perdu', lang = playerlib.getPlayer(userid).get('lang')))

def bomb_pickup(E):
	if int(c4_message_enable):
		if int(c4_message_bomb_pickup):
			for userid in es.getUseridList():
				es.centertell(userid, sici_lang('bomb_recup',{'noms': E["es_username"]}, lang = playerlib.getPlayer(userid).get('lang')))

def bomb_dropped(E):
	if int(c4_message_enable):
		if int(c4_message_bomb_dropped):
			for userid in es.getUseridList():
				es.centertell(userid, sici_lang('bomb_perdu',{'noms': E["es_username"]}, lang = playerlib.getPlayer(userid).get('lang')))
